Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4094 - pppd can't connect using PAP in 6.0 were it can in 5.2
Summary: pppd can't connect using PAP in 6.0 were it can in 5.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-18 05:26 UTC by Avi Alkalay
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-08 15:52:32 UTC


Attachments (Terms of Use)

Description Avi Alkalay 1999-07-18 05:26:38 UTC
Using exactly the same configuration as in RH5.2, pppd can
not connect to IBM.net services using PAP. It seems that no
autentication info is being sent.
pppd is working fine when authentication is based on chat,
and no in PAP.

Comment 1 Dmitri A. Sergatskov 1999-09-19 03:58:59 UTC
I have similar problem with simple login/password setup (no PAP) -
the configuration that used to work with RH5.2 does not with RH6.0.
The error I am getting is that pppd will not start because
ttyS? line locked by login/uugetty.

Sincerely,
Dmitri.

Comment 2 Dmitri A. Sergatskov 1999-09-20 00:29:59 UTC
I figure it out what was my problem - I had /dev/ttyS? in the
option.ttyS? file for some reason. Later, I also discovered that
new pppd insist on pap or chap authorization, but since in my case
uugetty does authorization I had to put 'noauth' in the option file.
Apparently that all does not help to the original poster.

Sincerely,
Dmitri.

Comment 3 Michael K. Johnson 1999-09-20 15:11:59 UTC
Please try the latest pppd from RawHide or lorax -- I have
successfully logged into AT&T Global Network Services (IBM.net)
with that pppd many times.

Comment 4 Michael K. Johnson 1999-11-08 15:52:59 UTC
As there has been no response, I'll assume that the more recent
pppd fixed the problem.  Reopen if that's not the case.


Note You need to log in before you can comment on or make changes to this bug.